> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/pt/vast/vast-wrapper.md).

# Tag Wrapper VAST

## Exemplo de XML

```xml
<?xml version="1.0" encoding="UTF-8"?>
<VAST version="3.0">
    <Ad id="1111111">
        <Wrapper>
            <AdSystem>ExoClick</AdSystem>
            <VASTAdTagURI><![CDATA[https://external.adserver.com/xml?cid=1111111]]></VASTAdTagURI>
            <Impression id="exotr">
                <![CDATA[https://syndication.magsrv.com/vregister.php?a=vimp&tracking_event=impression&idzone=22222&data=abcd]]></Impression>
            <Error>
                <![CDATA[https://syndication.magsrv.com/vregister.php?a=vview&errorcode=[ERRORCODE]&idzone=22222]]></Error>
            <Creatives>
                <Creative sequence="1" id="12345">
                    <Linear>
                        <TrackingEvents>
                            <Tracking id="prog_1" event="progress" offset="00:00:10.000">
                                <![CDATA[https://syndication.magsrv.com/vregister.php?a=vview&tracking_event=progress&progress=00:00:10.000&idzone=22222&data=abcd]]></Tracking>
                        </TrackingEvents>
                        <VideoClicks>
                            <ClickThrough>
                                <![CDATA[https://syndication.magsrv.com/click.php?data=abcd]]></ClickThrough>
                        </VideoClicks>
                    </Linear>
                </Creative>
            </Creatives>
        </Wrapper>
    </Ad>
</VAST>
```

## Propriedades

| Opção                                    | Explicação                                                                                                                                                                                                                                                                                                                                                       |
| ---------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `<?xml version="1.0" encoding="UTF-8"?>` | Prólogo XML com a versão e a codificação definidas.                                                                                                                                                                                                                                                                                                              |
| `VAST`                                   | Versão VAST utilizada por este elemento                                                                                                                                                                                                                                                                                                                          |
| `Wrapper fallbackOnNoAd`                 | Indica que existe outro elemento VAST dentro da árvore. Se a opção «Video Fallback» estiver ativada nas definições da zona de anúncios, também indica a posição deste elemento na fila VAST.                                                                                                                                                                     |
| `VASTAdTagURI`                           | O elemento é utilizado para fornecer um URI para uma resposta VAST secundária. Esta resposta secundária pode ser outro Wrapper, mas, eventualmente, um wrapper VAST tem de devolver um `<InLine>` anúncio. A versão 3 não limita o número de redirecionamentos Wrapper, mas, a partir da versão 4, são permitidos no máximo 5 redirecionamentos VAST Wrapper.    |
| `VideoClicks`                            | Elemento utilizado para especificar o que o leitor de vídeo deve fazer se o utilizador clicar diretamente no interior da moldura do leitor de vídeo enquanto o anúncio está a ser apresentado. Quando é fornecido um `<VideoClicks>` elemento, este contém um único elemento filho `<ClickTracking>` com URI (ou `<ClickThrough>` no caso de uma etiqueta VAST). |
| `ClickTracking`                          | O elemento é utilizado para acompanhar o `clickthrough` quando o ficheiro criativo trata do `clickthrough`.                                                                                                                                                                                                                                                      |
| `Extension`                              | Definições adicionais fornecidas pelo servidor de anúncios                                                                                                                                                                                                                                                                                                       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/publishers/pt/vast/vast-wrapper.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
